[data-campaign-static],
[data-campaign-vue] {
  visibility: hidden;  /* hides but preserves layout — no flash */
}

.campaign-resolved [data-campaign-static],
.campaign-resolved [data-campaign-vue] {
  visibility: visible;
}
[campaign="true"] .results-page.visible .results-page__banner{
background-color: var(--secondary-light-purple);
}
html[lang="hu-hu"] .results-page__banner-right [data-campaign-vue] [data-campaign-static] {
display:block !important;
}
html[lang="hu-hu"] [data-campaign-reward]{
display:block !important;
}
[campaign=""] .results-page__reward-wrapper, [data-marks="10"] [data-campaign-result="default"] .results-page__reward-wrapper, [campaign="false"] [data-marks="10"] .results-page__reward-wrapper {
  display:none;
}

html[lang="hu-hu"] .results-page__banner-right [data-campaign-static]{
display:block;
}
html[lang="hu-hu"] .results-page__banner-right [data-campaign-vue]{
display:none;
}
#ip3-quiz-reward-page #onetrust-consent-sdk {
  display: none;
}
[campaign=""] [data-campaign-result="default"] .results-page__reward-wrapper, [campaign="false"] [data-marks="10"] [data-campaign-result="default"] .results-page__reward-wrapper{
display:flex;
}
.quiz-reward__cta .cta-primary[aria-disabled="true"] {
  border-radius: 32px;
  background: #CAC8C4;
  color: var(--primary-night);
  border: 1px solid transparent;
  opacity: 1 !important;
}

.quiz-reward__wrapper {
  position: relative;
  overflow: hidden;
  min-height: 600px;
  display: flex;
  align-items: flex-start;
  padding-top: 120px;
}

.quiz-reward__image {
  position: absolute;
  inset: 0;
  z-index: 0;
  min-height: 552px;
  object-position: bottom right;
}

.quiz-reward__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}



.quiz-reward__step-number {
  border-radius: 36px;
  padding: 16px;
  display: flex;
  width: 68px;
  height: 68px;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.quiz-reward__wrapper input {
  border-radius: 8px;
  border: 1px dashed #C8C5BC;
  padding: 11.5px 16.5px;
  font-size: var(--card-body-fs);
  line-height: var(--card-body-lh);
  font-style: normal;
  font-weight: 700;
font-family: "GramatikaBold";
}

.quiz-reward__wrapper .coupon-code-box a {
  position: absolute;
  font-family: "GramatikaLight";
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
  right: 10px;
  left: auto;
  font-size: var(--card-title-extra-small-fs);
  line-height: var(--card-title-extra-small-lh);
  padding-right: 8.5px;
  font-style: normal;
  font-weight: 300;
  text-decoration: none;
}



/* Claim Reward CSS starts */

.results-page__reward-content-wrapper {
  position: relative;
  overflow: hidden;
  display: flex;
  padding: 40px 56px;
  flex-direction: column;
  align-self: stretch;
  border-radius: 24px;
}
.results-page__image{
  position: absolute;
  inset: 0;
  z-index: 0;
}
.results-page__score-signposts-cta a{
  border-radius: 50%;
    border: 1px solid #000;
    font-size: 24px;
    margin-right: 8px;
    height: 76px;
    width: 76px;
    display: inline-flex !important;
    align-items: center;
    justify-content: center;
}
.results-page__score-signposts-cta a.icon{
text-decoration: none;
    transition: 0.5s all ease-in-out;
    color: var(--primary-carbon);
}
@media only screen and (max-width: 767px) {
  .results-page__reward-content-wrapper {
    padding: 32px 24px;
    min-height: 560px;
  }
  .results-page__campaign-text {
    padding-bottom: 32px;
  }
  .quiz-reward__content-wrapper {
    max-width: unset;
    padding: 0 16px 0 0;
}
.quiz-reward__wrapper{
min-height: 620px;
}
html[lang="hu-hu"] .quiz-reward__step-text {
width: 200px;
}
}
@media only screen and (min-width: 768px) {
.quiz-reward__wrapper .coupon-code-box {
  max-width : 530px;
}

}
@media only screen and (max-width: 1024px){
.quiz-reward__content-wrapper{
  position: absolute;
  
  }
   .quiz-reward__content-wrapper .quiz-reward__title{font-size: 48px;
font-weight: 400;
line-height: 5.6rem; }
}

.results-page:is([data-marks="0"],[data-marks="1"],[data-marks="2"],[data-marks="3"],[data-marks="4"],[data-marks="5"],[data-marks="6"],[data-marks="7"],[data-marks="8"],[data-marks="9"]) {
  --res-primary-color: var(--secondary-light-purple) !important;
  --svg-color: none;
}
.results-page-bts__reward-content-wrapper {
  position: relative;
  overflow: hidden;
  display: flex;
  padding: 40px 64px;
  flex-direction: column;
  align-self: stretch;
  border-radius: 24px;
}
.results-page .results-page-bst__right {
justify-content: end;
}
@media (min-width: 768px) and (max-width: 991px){
.results-page__reward-wrapper a.cta-primary{
width: max-content;
}
.results-page__reward-wrapper .results-page__reward-content-wrapper {
min-height: 70rem;
}
}

.results-page__campaign-text p{
    line-height: 2.4rem;
  }
  
  @media only screen and (min-width: 1600px){
  .quiz-reward__image{
  min-height: 662px;
  }
  }
 @media (min-width: 768px) and (max-width: 1200px) and (orientation: portrait) {
  .quiz-reward__wrapper{
  height: 781px;
  }
  }
  @media (max-width: 992px)  and (orientation: landscape) {
  .quiz-reward__wrapper{
  height: 700px;
  }
  }
  
  @media (max-width: 1080px) {
html[lang="hu-hu"] #ip3-quiz .drinkiq-quiz-landing .row.flex-column-reverse {
        flex-direction: column !important;
    }
html[lang="hu-hu"] #ip3-quiz .drinkiq-quiz-landing .row .drinkiq-quiz__content-wrapper {
        margin-top: 32px;
    }
}
@media (min-width: 300px) and (max-width: 425px){
html[lang="hu-hu"] .results-page__reward-content-wrapper .heading-7{
        word-break: break-all;
}
}